Bug 166811 - ACPI hangs HP xw9300 workstation
ACPI hangs HP xw9300 workstation
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: FCMETA_ACPI
  Show dependency treegraph
 
Reported: 2005-08-25 19:42 EDT by Bojan Smojver
Modified: 2015-01-04 17:21 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.6.13-1.1526_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-03 18:59:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bojan Smojver 2005-08-25 19:42:09 EDT
Description of problem:
The latest testing kernel kernel-smp-2.6.12-1.1435_FC4 and previous FC4 kernels
hang at boot with latest HP firmware for this workstation (version 1.25 Rev a).
The last thing on the screen before the hang is "PCI: Multiple domains not
supported". Apparently, this is a known issue as described in:

http://bugzilla.redhat.com/hwcert/show.cgi?id=155247

and also:

http://kbase.redhat.com/faq/FAQ_85_5927.shtm

Would it be possible to patch Fedora kernels so that they take pci=noseg and
pci=nommconf options, like RHEL4 U2 is going to do take? This would avoid
turning off ACPI altogether on this workstation.


Version-Release number of selected component (if applicable):
2.6.12-1.1435_FC4

How reproducible:
Always.


Steps to Reproduce:
1. Boot with ACPI enabled.

  
Actual results:
Kernel hangs.


Expected results:
Should boot with options other than acpi=off.
Comment 1 Dave Jones 2005-08-26 19:48:41 EDT
It really needs fixing upstream, which aparently is queued for 2.6.14
I'll take a look at backporting it sometime.
Comment 2 Dave Jones 2005-09-30 02:29:07 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 3 Bojan Smojver 2005-10-03 18:59:05 EDT
Yeah, works great, both with UP and SMP kernels. Thanks!

Note You need to log in before you can comment on or make changes to this bug.